lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require "osu_person/version"

Gem::Specification.new do |spec|
  spec.name        = "osu_person"
  spec.version     = OSU::Person::VERSION
  spec.authors     = ["ASCTech AppDev"]
  spec.email       = ["appdev@asc.osu.edu"]

  spec.summary     = "Validate an ohio state person's email, name.#, & emplid."
  spec.description = "Validate an ohio state person's email, name.#, & emplid."
  spec.homepage    = "https://code.osu.edu/asctech/osu_person"
  spec.license     = "MIT"

  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0")
                     .reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"

  spec.add_development_dependency "bundler-audit"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rubocop"
  spec.add_development_dependency "rubocop-performance"
  spec.add_development_dependency "rubycritic"
  spec.add_development_dependency "simplecov"
end
